pointcloud3d
Device proxies

The pointcloud3d proxy provides an interface to a pointcloud3d device. More...

## Classes

struct | playerc_pointcloud3d_t
| pointcloud3d proxy data. More...

## Typedefs

typedef player_pointcloud3d_element_t | playerc_pointcloud3d_element_t
| Structure describing a single 3D pointcloud element. More...

## Functions

PLAYERC_EXPORT playerc_pointcloud3d_t * | playerc_pointcloud3d_create (playerc_client_t *client, int index)
| Create a pointcloud3d proxy. More...
PLAYERC_EXPORT void | playerc_pointcloud3d_destroy (playerc_pointcloud3d_t *device)
| Destroy a pointcloud3d proxy. More...
PLAYERC_EXPORT int | playerc_pointcloud3d_subscribe (playerc_pointcloud3d_t *device, int access)
| Subscribe to the pointcloud3d device. More...
PLAYERC_EXPORT int | playerc_pointcloud3d_unsubscribe (playerc_pointcloud3d_t *device)
| Un-subscribe from the pointcloud3d device. More...

## Detailed Description

The pointcloud3d proxy provides an interface to a pointcloud3d device.

## Typedef Documentation

typedef player_pointcloud3d_element_t playerc_pointcloud3d_element_t

Structure describing a single 3D pointcloud element.

## Function Documentation

PLAYERC_EXPORT playerc_pointcloud3d_t* playerc_pointcloud3d_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a pointcloud3d proxy.

PLAYERC_EXPORT void playerc_pointcloud3d_destroy | ( | playerc_pointcloud3d_t * | device | ) |

Destroy a pointcloud3d proxy.

PLAYERC_EXPORT int playerc_pointcloud3d_subscribe | ( | playerc_pointcloud3d_t * | device,
|  | int | access
| ) |  |

Subscribe to the pointcloud3d device.

PLAYERC_EXPORT int playerc_pointcloud3d_unsubscribe | ( | playerc_pointcloud3d_t * | device | ) |

Un-subscribe from the pointcloud3d device.

Last updated 12 September 2005 21:38:45